CREATE TABLE DOCUMENT_COLLECTION
(
	COLLECTION_ID VARCHAR(40) PRIMARY KEY
);

CREATE TABLE DOCUMENT
(
	DOCUMENT_ID VARCHAR(40) PRIMARY KEY,
	LOCALE VARCHAR(30),
	SOURCE_IDENTITY BLOB,
	CLASS_NAME VARCHAR(255),
	USE_COUNT INTEGER
);

CREATE TABLE DOCUMENT_COLLECTION_DOCUMENT_XREF
(
	COLLECTION_ID VARCHAR(40),
	DOCUMENT_ID VARCHAR(40),
	FOREIGN KEY (COLLECTION_ID) REFERENCES DOCUMENT_COLLECTION,
	FOREIGN KEY (DOCUMENT_ID) REFERENCES DOCUMENT
);

CREATE TABLE DELIMITER
(
	DOCUMENT_ID VARCHAR(40),
	DELIMITER_ENTRY VARCHAR(10),
	DELIMITER_SORT_ORDER INTEGER,
	FOREIGN KEY (DOCUMENT_ID) REFERENCES DOCUMENT
);

CREATE TABLE WORD_DATA
(
	DOCUMENT_ID VARCHAR(40),
	WORD_DATA CLOB,
	FOREIGN KEY (DOCUMENT_ID) REFERENCES DOCUMENT
);